-- ForteXorcist v1.959.6 by Xus 01-04-2010

if FW.CLASS == "PRIEST" then
	local FW = FW;
	local FWL = FW.L;
	local PR = FW:ClassModule("Priest");

	if FW.Modules.Timer then
		FW:RegisterSet("Absolution Regalia","31061","31064","31067","31070","31065","34434","34528","34563");
		
		FW:RegisterSet("Velen's/Zabra's Regalia",
			"48072","48073","48074","48075","48076",
			"48077","48078","48079","48080","48081",
			"48082","48083","48084","48085","48086",
			"48087","48088","48089","48090","48091",
			"48092","48093","48094","48095","48096",
			"48097","48098","48099","48100","48101"
		);
		
		-- istype: FW.DEFAULT FW.SHARED FW.UNIQUE FW.PET FW.CHARM FW.COOLDOWN FW.HEAL FW.BUFF
		--spell, hastarget, duration, isdot, istype, reducedinpvp, texture, stack
 		
 		FW:RegisterSpell(48125,	1,018,1,FW.DEFAULT); -- Shadow Word: Pain
			FW:RegisterSpecialRefresh(48125);
			FW:RegisterSpellModSetB(48125,	"Absolution Regalia", 2, 3);
		FW:RegisterSpell(48160,	1,015,1,FW.DEFAULT); -- Vampiric Touch
			FW:RegisterSpellModSetB(48160,	"Velen's/Zabra's Regalia", 2, 6);
			FW:RegisterHastedStance(48160,1); -- set to hasted dot, requires Shadow Form
 		FW:RegisterSpell(34433,	0,015,0,FW.PET); -- Shadowfiend
 		FW:RegisterSpell(43432,	0,008,0,FW.UNIQUE); -- Psychic Scream
 		FW:RegisterSpell(40135,	1,050,0,FW.UNIQUE); -- Shackle Undead
			FW:RegisterSpellModRank(40135, 	1, -20);
			FW:RegisterSpellModRank(40135, 	2, -10);
		
		FW:RegisterSpell(453,	1,015,0,FW.UNIQUE); -- Mind Soothe
		FW:RegisterSpell(48066,	1,030,0,FW.BUFF); -- Power Word: Shield
		FW:RegisterSpell(48068,	1,015,0,FW.HEAL); -- Renew
			FW:RegisterSpellModGlph(48068, 56178, 1, -3); -- Glyph of Renew

		FW:RegisterSpell(48300,	1,024,1,FW.UNIQUE); -- Devouring Plague 
			FW:RegisterHastedStance(48300,1); -- set to hasted dot, requires Shadow Form
		FW:RegisterSpell(15487,	1,005,0,FW.UNIQUE); -- Silence
		FW:RegisterSpell(48135, 1,007,1,FW.DEFAULT); -- holy fire
			FW:RegisterTickSpeed(48135, 1); -- set tick speed to 1 instead of 3
		
		FW:RegisterSpell(48113,	1,030,0,FW.BUFF); -- Prayer of Mending
		FW:RegisterSpell(15359,	1,015,0,FW.BUFF); -- Inspiration
		FW:RegisterSpell(  552, 1,012,0,FW.BUFF); -- Abolish Disease		
		FW:RegisterSpell(33206, 1,008,0,FW.BUFF); -- Pain Suppression
		FW:RegisterSpell(10060, 1,015,0,FW.BUFF); -- Power Infusion
		FW:RegisterSpell(47788, 1,010,0,FW.BUFF); -- Guardian Spirit
		
		FW:RegisterSpell(47753, 1,012,0,FW.BUFF); -- Divine Aegis
		FW:RegisterSpell(47930, 1,015,0,FW.BUFF,000,nil,3); -- Grace
		
		FW:RegisterCooldown(48127,008); -- Mind Blast
			FW:RegisterCooldownModTlnt(48127,	15316, 1, -0.5); -- Improved Mind Blast
			FW:RegisterCooldownModTlnt(48127,	15316, 2, -1.0);
			FW:RegisterCooldownModTlnt(48127,	15316, 3, -1.5);
			FW:RegisterCooldownModTlnt(48127,	15316, 4, -2.0);
			FW:RegisterCooldownModTlnt(48127,	15316, 5, -2.5);
		FW:RegisterCooldown(51818,012); -- Shadow Word: Death
				
		-- id/name, ticks total
		FW:RegisterDrain(48156,	3); -- Mind Flay
		FW:RegisterDrain(53022,	5); -- Mind Sear
		
		--Priest Buffs
		FW:RegisterBuff(63734); -- Serendipity
		FW:RegisterBuff(33154); -- Surge of Light
		FW:RegisterBuff(52800); -- Borrowed Time
		FW:RegisterBuff(34860); -- Holy Concentration
		FW:RegisterBuff(12685); -- Fade
		FW:RegisterBuff(48168); -- Inner fire
		FW:RegisterBuff(15258); -- Shadow Weaving
		FW:RegisterBuff(47585); -- Dispersion
		FW:RegisterBuff(15290); -- Vampiric Embrace
		FW:RegisterBuff(70799); -- Flash Heal!

		--debuffname,mineonly
			
		-- weakened soul
 		FW:RegisterDebuff(6788);

		FW:RegisterCasterBuffs();
		
	end
	if FW.Modules.Cooldown then
		FW:RegisterCooldownBuff(15290); -- Vampiric Embrace
		FW:RegisterCooldownBuff(48168); -- Inner Fire
		FW:RegisterCasterPowerupCooldowns();
	end
end
